打印

2.6.X核心编译建议

loopback 设备都用完了

TOP

ls /dev | grep loop

TOP

当前所用内核在编译时需要在块设备里打开loop支持
引用:
#
# Block devices
#
CONFIG_BLK_DEV_FD=m
# CONFIG_BLK_DEV_XD is not set
# CONFIG_BLK_CPQ_DA is not set
# CONFIG_BLK_CPQ_CISS_DA is not set
# CONFIG_BLK_DEV_DAC960 is not set
# CONFIG_BLK_DEV_UMEM is not set
CONFIG_BLK_DEV_LOOP=y
把使用2.4的发行版升级到2.6不是不可能,但是会很麻烦

2.6的内核模块名由.o变成了.ko,以区别普通模块,所以要修改加载模块的脚本。当然这只是第一步,要做的工作还很多,你可以看看精华区,我记得好像有相关文章

TOP

我以前也觉得是,不过现在没兴趣了,只用发行版官方的内核

TOP

引用:
你确定make install是改lilo还是grub?
程序会确定,而不是由我去确定

自从知道make install以后,就没有手动改过。而且没出过问题

TOP

因为你把那东西直接编译进了内核,而不是编译为了模块。不用管他,警告而已,不报错就行
当然还有可能是你没编译他

TOP